﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=7
@EndOfDesignText@
Sub Class_Globals
	Public ID As String
	Public Title As String
	Private Items As StringBuilder
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(sid As String, sTitle As String)
	ID = sid.tolowercase
	Title = sTitle
	Items.Initialize
	Items.Initialize  
End Sub

Sub AddItem(iID As String, iTitle As String, iValue As String, iChecked As Boolean, iInline As Boolean)
	iID = iID.tolowercase
	Dim sclass As String = iif(iInline,"inline","")
	Dim sdisplay As String = iif(iInline,"display:inline-block !important;","")
	Dim schecked As String = iif(iChecked,"checked='checked'","")
	Dim itemKey As String = $"<p id="${iID}" class="${sclass}" style="padding:0 12px !important; ${sdisplay}">
<label id="${iID}lbl">
<input id="${iID}inp" type="radio" name="${ID}" value="${iValue}" ${schecked} class="with-gap">
<span id="${iID}spn">${iTitle}</span>
</label>
</p>"$
Items.Append(itemKey)
Items.Append(CRLF)
End Sub


Sub ToString As String
	Dim script As String = $"<div id="${ID}">
	${Items.tostring}
	</div>"$
	Return script
End Sub

'iif method
private Sub iif(Expression2Evaluate As String, ReturnIfTrue As Object, ReturnIfFalse As Object) As Object
	If Expression2Evaluate = True Then Return ReturnIfTrue Else Return ReturnIfFalse
End Sub
